local ZomboWinDefeat = require("ZomboWinDefeat/ZomboWinDefeat")
local ZomboWinDefeatConfig = ZomboWinDefeatConfig

--- Setup ModOptions
local ZomboWinDefeatModOptions = {
	options = {
		box0 = true,
		box1 = true,
		box5 = false,
		box7 = false,
		box8 = true,
		box2 = false,
		box10 = true,
		box13 = false,
		dropdown1 = 2,
		dropdown2 = 1,
		dropdown3 = 4,
		dropdown4 = 2,
		dropdown5 = 3,
		box3 = false,
		box4 = false,
		box6 = false,
		box9 = false,
		box11 = false,
		box12 = false,
	},
	names = {
		box0 = getText("IGUI_Defeat_Enable"),
		box1 = getText("IGUI_MockEvasion"),
		box5 = getText("IGUI_ExtraVuln"),
		box7 = getText("IGUI_samesexStrip"),
		box8 = getText("IGUI_clothingRip"),
		box2 = getText("IGUI_Drop_Items_On_Ground"),
		box10 = getText("IGUI_stripPenalty"),
		box13 = getText("IGUI_defeatPenalty"),
		dropdown1 = getText("IGUI_Cooldown_Grabs"),
		dropdown2 = getText("IGUI_Cooldown_Pene"),
		dropdown3 = getText("IGUI_Grab_Range"),
		dropdown4 = getText("IGUI_Sickness"),
		dropdown5 = getText("IGUI_traumaLength"),
		box3 = getText("IGUI_SkipFor"),
		box4 = getText("IGUI_groinInfection"),
		box6 = getText("IGUI_pvp_Enable"),
		box9 = getText("IGUI_dryHump"),
		box11 = getText("IGUI_exhaustedPenalty"),
		box12 = getText("IGUI_immersiveThoughts"),
	},
	mod_id = "ZomboWinDefeatStrip",
	mod_shortname = "ZomboWin Defeat Options",
}

ZomboWinDefeatConfig.ModOptions = ZomboWinDefeatModOptions

if ModOptions and ModOptions.getInstance then
	ModOptions:getInstance(ZomboWinDefeatConfig.ModOptions)

	--- Initialize options
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown1
		table.insert(dropdown, "Never")
		table.insert(dropdown, "One")
		table.insert(dropdown, "Two")
		table.insert(dropdown, "Three")
		table.insert(dropdown, "Four")
		table.insert(dropdown, "Five")
		table.insert(dropdown, "Everything")
	end
	
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown2
		table.insert(dropdown, "Instant")
		table.insert(dropdown, "Quick, 2-3 seconds")
		table.insert(dropdown, "Long, 4-5 seconds")
		table.insert(dropdown, "Longer, 6-8 seconds")
		table.insert(dropdown, "Very Long, 8-9 seconds")
		table.insert(dropdown, "Longest, 10-11 seconds")
	end

	--- GRAB RANGE
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown3
		table.insert(dropdown, "Barely, 25%")
		table.insert(dropdown, "Close, 50%")
		table.insert(dropdown, "Short, 75%")
		table.insert(dropdown, "Regular, 100%")
	end
	
	--- Sickness
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown4
		table.insert(dropdown, "None")
		table.insert(dropdown, "Minuscule")
		table.insert(dropdown, "Minor")
		table.insert(dropdown, "Deadly")
		table.insert(dropdown, "Fatal")
		table.insert(dropdown, "Lethal")
	end
	
	do
		local dropdown = ZomboWinDefeatModOptions.options_data.dropdown5
		table.insert(dropdown, "None")
		table.insert(dropdown, "3-6 hours")
		table.insert(dropdown, "6-12 hours")
		table.insert(dropdown, "1-2 days")
		table.insert(dropdown, "3-5 days")
		table.insert(dropdown, "5-7 days")
	end
	-- tooltip description
	do
		ZomboWinDefeatModOptions.options_data.box0.tooltip = "IGUI_Defeat_Enable_Tooltip"
		ZomboWinDefeatModOptions.options_data.box1.tooltip = "IGUI_MockEvasion_Tooltip"
		ZomboWinDefeatModOptions.options_data.box2.tooltip = "IGUI_Drop_Items_On_Ground_Tooltip"
		ZomboWinDefeatModOptions.options_data.box3.tooltip = "IGUI_SkipFor_Tooltip"
		ZomboWinDefeatModOptions.options_data.box4.tooltip = "IGUI_groinInfection_Tooltip"
		ZomboWinDefeatModOptions.options_data.box5.tooltip = "IGUI_ExtraVuln_Tooltip"
		ZomboWinDefeatModOptions.options_data.box6.tooltip = "IGUI_pvp_Enable_Tooltip"
		ZomboWinDefeatModOptions.options_data.box7.tooltip = "IGUI_samesexStrip_Tooltip"
		ZomboWinDefeatModOptions.options_data.box8.tooltip = "IGUI_clothingRip_Tooltip"
		ZomboWinDefeatModOptions.options_data.box9.tooltip = "IGUI_dryHump_Tooltip"
		ZomboWinDefeatModOptions.options_data.box10.tooltip = "IGUI_stripPenalty_Tooltip"
		ZomboWinDefeatModOptions.options_data.box11.tooltip = "IGUI_exhaustedPenalty_Tooltip"
		ZomboWinDefeatModOptions.options_data.box12.tooltip = "IGUI_immersiveThoughts_Tooltip"
		ZomboWinDefeatModOptions.options_data.box13.tooltip = "IGUI_defeatPenalty_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown2.tooltip = "IGUI_Cooldown_Pene_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown3.tooltip = "IGUI_Grab_Range_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown4.tooltip = "IGUI_Sickness_Tooltip"
		ZomboWinDefeatModOptions.options_data.dropdown5.tooltip = "IGUI_traumaLength_Tooltip"
	end

	ModOptions:loadFile()
end